@use "bandeau/bandeau.scss" as bandeau;
@use "fenetre/fenetre.scss" as fenetre;
@use "panneau/panneau.scss" as panneau;

@mixin editor {
    
    display: grid;
    grid-template-columns: max-content auto;
    grid-template-rows: max-content auto;
    gap: 0;
    padding: 0;
    transition: gap .1s ease;


    .bandeau {
       @include bandeau.main();
    }

    .panneau {
        @include panneau.main();
    }

    .fenetre {
        @include fenetre.main();
    }



    &.air {

        // gap: 5px;
        // grid-template-columns: 70px auto;
        
        &::before, &::after {
            border-radius: 5px;
            content: "";
            position: fixed;
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;
            background: var(--bg);
            opacity: 0.6;
            z-index: -1;
        }

        &::after {
            z-index: -2;
            background: url(https://picsum.photos/1920/1080);
            background-size: cover;
            filter: blur(5px);
        }

        .bandeau {
            @include bandeau.air();
        }
        
        .panneau {
            @include panneau.air();

        }

        .fenetre {
            @include fenetre.air();
        }

    }

}